Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 171756 - kde-base/libkdegames-3.5.6: cannot find -lkdnssd
Summary: kde-base/libkdegames-3.5.6: cannot find -lkdnssd
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 175984
  Show dependency tree
 
Reported: 2007-03-22 09:00 UTC by p0
Modified: 2009-02-01 13:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description p0 2007-03-22 09:00:02 UTC
emerge -aDvuN world wants to recompile many KDE packages. first of them is kde-base/libkdegames-3.5.6.

linking fails with error: "/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lkdnssd"

Reproducible: Always

Steps to Reproduce:
sudo emerge -av libkdegames

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] kde-base/libkdegames-3.5.6  USE="arts debug xinerama* -kdeenablefinal -kdehiddenvisibility" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Actual Results:  
--snip--
/bin/sh ../libtool --silent --tag=CXX --mode=link i686-pc-linux-gnu-g++  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -fno-builtin -g3 -fno-inline -march=pentium4m -O2 -pipe -ggdb -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION    -o libkdegames.la -rpath /usr/kde/3.5/lib -L/usr/kde/3.5/lib -L/usr/qt/3/lib -L/usr/lib    -R /usr/kde/3.5/lib -R /usr/kde/3.5/lib -R /usr/qt/3/lib -R /usr/lib -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined -version-info 3:0:2 kcarddialog.lo kstdgameaction.lo kgamemisc.lo kchatbase.lo kchat.lo kchatdialog.lo kgameprogress.lo kcanvasrootpixmap.lo kgamelcd.lo highscore/libkhighscore.la kgame/libkgame.la kgame/dialogs/libkgamedialogs.la -lkio -lkdnssd
/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lkdnssd
collect2: ld returned 1 exit status
make[3]: *** [libkdegames.la] Fehler 1
make[3]: Leaving directory `/var/tmp/portage/kde-base/libkdegames-3.5.6/work/libkdegames-3.5.6/libkdegames'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/var/tmp/portage/kde-base/libkdegames-3.5.6/work/libkdegames-3.5.6/libkdegames'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/kde-base/libkdegames-3.5.6/work/libkdegames-3.5.6'
make: *** [all] Fehler 2

!!! ERROR: kde-base/libkdegames-3.5.6 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 4927:   Called src_compile
  libkdegames-3.5.6.ebuild, line 19:   Called kde-meta_src_compile
  kde-meta.eclass, line 380:   Called kde_src_compile
  kde.eclass, line 170:   Called kde_src_compile 'all'
  kde.eclass, line 340:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 336:   Called die

!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/kde-base/libkdegames-3.5.6/temp/build.log'.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-03-22 14:19:26 UTC
Try to rebuild kdelibs and kdebase.
Comment 2 Stephen E. Baker 2007-03-22 18:08:57 UTC
Could be related to 166550?
Comment 3 Jonathan M Davis 2007-04-08 23:56:53 UTC
I ran into this bug as well when doing a fresh Gentoo install (my first actually) with the "avahi" use flag set. This problem came up while emerging "kde-meta".

Per a suggestion in bug #166550, I emerged "kdnssd-avahi". This fixed the problem.
Comment 4 Carsten Lohrke (RETIRED) gentoo-dev 2007-04-27 21:11:13 UTC
Fixed with kdelibs-3.5.6-r7.
Comment 5 Volker Hemmann 2007-05-08 19:38:16 UTC
Hi,

well, this bug does not seem to be fixed, because I stumbled over it. First, no games worked, revdep-rebuilt wanted to rebuild kdebase, games, network - all failed because of missing kdnssd.

I 'reemerged' kdelibs with emerge kdelibs and it wanted to emerge kdelibs and kdnssd-avahi, 

emerge -a kdelibs

[ebuild   R   ] kde-base/kdelibs-3.5.6-r8
[ebuild  N    ] kde-misc/kdnssd-avahi-0.1.2  USE="-arts -debug -xinerama"

which btw failed with this error:

checking for  avahi-qt3 >= 0.4 ... Package avahi-client was not found in the pkg-config search path. Perhaps you should add the directory containing `avahi-client.pc' to the PKG_CONFIG_PATH environment variable No package 'avahi-client' found
configure: error: Library requirements ( avahi-qt3 >= 0.4 , avahi-client >= 0.4 ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
Comment 6 Carsten Lohrke (RETIRED) gentoo-dev 2007-05-08 19:50:14 UTC
Volker, i bet your problem is the same as in bug 177109. If not open a new bug, please.
Comment 7 Alex 2008-09-30 13:06:45 UTC
(In reply to comment #3)
> I ran into this bug as well when doing a fresh Gentoo install (my first
> actually) with the "avahi" use flag set. This problem came up while emerging
> "kde-meta".
> 
> Per a suggestion in bug #166550, I emerged "kdnssd-avahi". This fixed the
> problem.
> 

I ran to the the same issue with the same solution. Would someone please update the ebuilds to reflect this dep,
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-09-30 14:35:54 UTC
(In reply to comment #7)
> (In reply to comment #3)
> > I ran into this bug as well when doing a fresh Gentoo install (my first
> > actually) with the "avahi" use flag set. This problem came up while emerging
> > "kde-meta".
> > 
> > Per a suggestion in bug #166550, I emerged "kdnssd-avahi". This fixed the
> > problem.
> > 
> 
> I ran to the the same issue with the same solution. Would someone please update
> the ebuilds to reflect this dep,

As you can see the kdelibs has this dep:

kdelibs-3.5.9-r4.ebuild / kdelibs-3.5.10.ebuild
PDEPEND="avahi? ( kde-misc/kdnssd-avahi )
        bindist? ( kde-misc/kdnssd-avahi )"

The only way you can skip this is by running emerge -1 kdelibs and if you do that, you're on your own.
Comment 9 Luis Palacios 2009-02-01 13:56:00 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #3)
> > > I ran into this bug as well when doing a fresh Gentoo install (my first
> > > actually) with the "avahi" use flag set. This problem came up while emerging
> > > "kde-meta".
> > > 
> > > Per a suggestion in bug #166550, I emerged "kdnssd-avahi". This fixed the
> > > problem.
> > > 
> > 
> > I ran to the the same issue with the same solution. Would someone please update
> > the ebuilds to reflect this dep,
> 
> As you can see the kdelibs has this dep:
> 
> kdelibs-3.5.9-r4.ebuild / kdelibs-3.5.10.ebuild
> PDEPEND="avahi? ( kde-misc/kdnssd-avahi )
>         bindist? ( kde-misc/kdnssd-avahi )"
> 
> The only way you can skip this is by running emerge -1 kdelibs and if you do
> that, you're on your own.
> 

I had exactly the same problem, and also from a fresh install where kde wants kde-base/kdebase-3.5.9-r3 and in my case "kdnssd-avahi" neither got emerged before, so had to emerge kdnssd-avahi.